Group: Editors
# BEGIN SourceDeps(oneline):
BuildRequires: perl(IO/All.pm) perl(Pod/Text.pm) perl(Template.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define beta_version 4
Name:           vbindiff
Version:        3.0 
Release:        alt2_0.32.beta%{beta_version}
Summary:        Visual binary diff

License:        GPL-2.0-or-later
URL:            http://www.cjmweb.net/%{name}/
Source0:        http://www.cjmweb.net/%{name}/%{name}-%{version}_beta%{beta_version}.tar.gz
# 2013-10-25: Submitted upstream: https://github.com/madsen/vbindiff/pull/3
Patch1:         crash-patch.diff

BuildRequires:  gcc-c++
BuildRequires:  libncurses++-devel libncurses++w-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
Source44: import.info

%description
VBinDiff (Visual Binary Diff) displays files in hexadecimal
and ASCII (or EBCDIC). It can also display two files at once,
and highlight the differences between them.
Unlike diff, it works well with large files (up to 4 GB).

VBinDiff was inspired by the Compare Files function 
of the ProSel utilities by Glen Bredon, for the Apple II.

The single-file mode was inspired by the LIST utility 
of 4DOS and friends. While less provides a good line-oriented display,
it has no equivalent to LIST's hex display.

%prep
%setup -q -n %{name}-%{version}_beta%{beta_version}
%patch1 -p1 -b .crash_patch


%build
%configure INSTALL="install -p"
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT



%files
%doc AUTHORS NEWS README README.PuTTY putty.src
%doc --no-dereference COPYING
%{_bindir}/%{name}
%{_datadir}/man/man?/%{name}*


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 3.0-alt2_0.32.beta4
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 3.0-alt2_0.31.beta4
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 3.0-alt2_0.29.beta4
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 3.0-alt2_0.28.beta4
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 3.0-alt2_0.27.beta4
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 3.0-alt2_0.26.beta4
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 3.0-alt2_0.25.beta4
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 3.0-alt2_0.24.beta4
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_0.24.beta4
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_0.23.beta4
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_0.22.beta4
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_0.21.beta4
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_0.20.beta4
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_0.19.beta4
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_0.18.beta4
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_0.16.beta4
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_0.15.beta4
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_0.14.beta4
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_0.11.beta4
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_0.10.beta4
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_0.9.beta4
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_0.8.beta4
- initial fc import

